summaryrefslogtreecommitdiffstats
path: root/libraries/gtksourceview/gtksourceview.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/gtksourceview/gtksourceview.SlackBuild')
-rw-r--r--libraries/gtksourceview/gtksourceview.SlackBuild18
1 files changed, 13 insertions, 5 deletions
diff --git a/libraries/gtksourceview/gtksourceview.SlackBuild b/libraries/gtksourceview/gtksourceview.SlackBuild
index cb50e52afd..f1c6da3d27 100644
--- a/libraries/gtksourceview/gtksourceview.SlackBuild
+++ b/libraries/gtksourceview/gtksourceview.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Slackware build script for gtksourceview
-# Copyright 2007-2008 Michiel van Wessem, Manchester, United Kingdom
+# Copyright 2007-2009 Michiel van Wessem, Manchester, United Kingdom
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -24,7 +24,7 @@
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=gtksourceview
-VERSION=${VERSION:-2.2.2}
+VERSION=${VERSION:-2.6.0}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -36,10 +36,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e # Exit on most errors
@@ -61,16 +64,21 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
- --mandir=/usr/man
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
make
make install-strip DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION